Subject: bug#43665: GNU grep 3.5 has 2 failed tests on Solaris 10 sparc

From: Dennis Clarke <[email-masked]>
Date: Mon, 28 Sep 2020 11:03:15 -0400

On 9/28/20 4:46 AM, Paul Eggert wrote:
> On 9/27/20 11:43 PM, Dennis Clarke via Bug reports for GNU grep wrote:
>> FAIL: test-nl_langinfo-mt
>> =========================
>>
>> FAIL test-nl_langinfo-mt (exit status: 139)
>>
>> FAIL: test-stdalign
>> ===================
>>
>> test-stdalign.c:98: assertion '(uintptr_t) &(static_char_alignas) %
>> TEST_ALIGNMENT == 0' failed
>> FAIL test-stdalign (exit status: 134)
> 
> These are Gnulib tests, not grep tests, so I wouldn't worry about them
> for Grep.
> 
> I'll cc this to [email-masked]. The original bug report is here:
> 
> https://bugs.gnu.org/43665

I figured as much and thus gave it no concern at all.

-- 
Dennis Clarke
RISC-V/SPARC/PPC/ARM/CISC
UNIX and Linux spoken
GreyBeard and suspenders optional